	
var JSONUtil = {
	
	encode: function (objParent, strPath, intDeep)
	{	
		var strReturn = null;
		var strPrePath = '';
	
		if (typeof(intDeep) != "undefined") {
			intDeep--;
		
			if (intDeep < 0)
				return strReturn;
		}
	
		if (strPath == undefined) strPath = '';	else strPath += ' ';
		if (strPath.length > 1) strPrePath = strPath.substring(1);
	
		if (typeof objParent == 'object')
		{	
			if (objParent instanceof Array)
			{	
				for (var i=0; i<objParent.length; i++)
				{	
					if (strReturn == null)
						strReturn = '\n' + strPath + '[' + JSONUtil.encode(objParent[i], strPath, intDeep);
					else
						strReturn += ', ' + JSONUtil.encode(objParent[i], strPath, intDeep);
				}	
	
				strReturn += ']\n' + strPrePath;
			}	
			else
			{
				for (var strName in objParent)
				{
					try {
						var objVal = objParent[strName];
						
						if (strReturn == null)
							strReturn = '\n' + strPath + '{'  + strName + ": " + JSONUtil.encode(objVal, strPath, intDeep);
						else
							strReturn += ', ' + strName + ": " + JSONUtil.encode(objVal, strPath, intDeep);
					} catch (e) {
						if (strReturn == null)
							strReturn = '\n' + strPath + '{'  + strName + ": 'EXCEPTION'";
						else
							strReturn += ', ' + strName + ": 'EXCEPTION'";
					}
				}
		
				strReturn += '}\n' + strPrePath;
			}	
		}	
		else if (typeof objParent == 'string')
		{	
			strReturn = '"' + objParent + '"';
		}	
		else
		{	
			strReturn = objParent;
		}	
	
		return strReturn;
	}	
	
};	
	
