	
var DOMUtil = {
	get: function (strTrg) {
		return document.getElementById(strTrg);
	},
	
	remove: function (strTrg) {
		var objTrg = document.getElementById(strTrg);
		
		LogUtil.log("Try remove id:" + strTrg);
		
		if (objTrg) {
			var objParent = objTrg.parentNode;
			objParent.removeChild(objTrg);
			LogUtil.log("Removed id:" + strTrg);
		}
	},
	
	insertBefore: function (strBefore, objTrg) {
		var objBefore = document.getElementById(strBefore);
		var objParent = objBefore.parentNode;
		
		objParent.insertBefore(objTrg, objBefore);
	},
	
	create: function (objCfg, objParent) {
		var elNew = document.createElement(objCfg._tag);
		
		for (var strName in objCfg) {
			var objValue = objCfg[strName];
			
			if (strName.indexOf("_") != 0) {
				if (objValue._tag == undefined)
					elNew.setAttribute(strName, objValue);
				else
					DOMUtil.create(objValue, elNew);
			}	
		}	
		
		if (typeof(objCfg._parent) != "undefined") {
			var objParent = document.getElementById(objCfg._parent);
			objParent.appendChild(elNew);
			
		} else if (typeof(objCfg._insertBefore) != "undefined") {
			DOMUtil.insertBefore(objCfg._insertBefore, elNew);
			
		} else if (typeof(objParent) != "undefined") {
			objParent.appendChild(elNew);
		}
		
		return elNew;
	},	
	
	scan: function (objTrg, intDeep, intMaxDeep) {
		
		if (typeof(intDeep) == "undefined") intDeep = 0;
		intDeep++;
		
		if (typeof(intMaxDeep) == "undefined") intMaxDeep=1000;
		intMaxDeep--;
		if (intMaxDeep < 0) return "";
		
		var strReturn = "";
		for (var i=0; i<intDeep; i++) strReturn += " ";
		
		strReturn += objTrg.tagName 
			+ " (" + objTrg.id + ")" + "\n";
		
		for (var i=0; i<objTrg.childNodes.length; i++) {
			strReturn += DOMUtil.scan(objTrg.childNodes[i], intDeep, intMaxDeep);
		}
		
		return strReturn;
	}
	
};	
	
